import { Client } from './Client';
import 'mocha';
import { PinusWSClient } from 'pinus-robot-plugin';
import { expect } from 'chai';
import { addItemsIfNotEnough, checkDisplayItems, checkSuccessResponse, checkTimeStamp, checkWarJson } from './CheckPatten';
import { PVP } from '../app/pubUtils/dicParam';
import { DEBUG_MAGIC_WORD } from '../app/consts';
import { getRandSingleEelm } from '../app/pubUtils/util';
/*
describe('装备养成测试', function () {
  let pinusClient: PinusWSClient;
  let roleInfo;

  before(function (done) {
    const c = new Client();
    const timer = setInterval(() => {
      if (c.client) {
        pinusClient = c.client;
        roleInfo = c.roleInfo;
        clearInterval(timer);
        done();
      }
    }, 500);
  });

  after(function (done) {
    pinusClient.disconnect();
    // disconnect 后等待 500ms，供服务器清理环境、退出频道等
    setTimeout(() => {
      done();
    }, 500);
  });

  it('合成装备', function (done) {
      done();
  });

  it('分解装备', function (done) {
    done();
  });

  it('分解装备碎片', function (done) {
    done();
  });

  it('穿戴或卸载装备', function (done) {
    done();
  });

  it('一键穿戴装备', function (done) {
    done();
  });

  it('装备栏强化', function (done) {
    done();
  });

  it('装备栏一键强化到指定等级', function (done) {
    done();
  });

  it('装备栏精炼', function (done) {
    done();
  });

  it('装备洗炼锁定', function (done) {
    done();
  });

  it('装备洗炼', function (done) {
    done();
  });

  it('装备洗炼预览', function (done) {
    done();
  });

  it('放弃这条洗练', function (done) {
    done();
  });

  it('装备打孔', function (done) {
    done();
  });

  it('装备镶嵌', function (done) {
    done();
  });

  it('宝石合成', function (done) {
    done();
  });

  it('宝石卸下', function (done) {
    done();
  });

  it('宝石购买并合成', function (done) {
    done();
  });

  it('宝石升级下一级或并穿戴', function (done) {
    done();
  });

  it('藏宝图合成', function (done) {
    done();
  });

  it('淬火一次', function (done) {
    done();
  });

  it('淬火一品', function (done) {
    done();
  });
});
*/